<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

case '44':{
$cliente=$_GET['cliente'];

$kuery ="SELECT * FROM `proyectos` WHERE `id_cliente` = $cliente";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
		$id_proyectos =  $datosbanner[$x]['id_proyectos'];
		$id_cliente =  $datosbanner[$x]['id_cliente'];
		$nombre =  $datosbanner[$x]['nombre'];
		$fecha =  $datosbanner[$x]['fecha'];

		$resp.=<<<jjj
$id_proyectos * $nombre -
jjj;
	}
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;


case '59':{
$proyecto=$_GET['id_proyectos'];
$kuery ="SELECT * FROM cotiza WHERE id_proyectos = '$proyecto' AND estado = '1'";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery);
for($x=0; $x < count($resultado); $x++){
    $id_cotiza = $resultado[$x][id_cotiza];
    
$resp.=<<<jjj
$id_cotiza *
jjj;
}
$contenido = $resp;
}break;
        

case '69':{
$proyecto=$_GET['id_proyecto'];
$kuery ="SELECT cc.nombre AS nombre_cc,cc.id_cc AS idcc FROM `proyectos` INNER JOIN cc ON proyectos.cc=cc.id_cc WHERE proyectos.id_proyectos=$proyecto";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);
$contenido = $resultado[0]['nombre_cc']."(".$resultado[0]['idcc'].")";
}break;


case '70':{
$idproyecto=$_GET['idproyecto'];
$kuery = "SELECT DISTINCT(detalle_cotiza_etapas.id_catproduct) AS idtipo, tipo_proveedor.nombre AS nombretipo FROM detalle_cotiza_etapas INNER JOIN cotiza_etapas ON detalle_cotiza_etapas.id_cotiza_etapas=cotiza_etapas.id_cotiza_etapas INNER JOIN cotiza ON cotiza_etapas.id_cotiza=cotiza.id_cotiza INNER JOIN tipo_proveedor ON detalle_cotiza_etapas.id_catproduct=tipo_proveedor.id_tipo_proveedor WHERE detalle_cotiza_etapas.tipo IN (2,3) AND cotiza.id_proyectos=$idproyecto";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);
    
for($x=0; $x < count($resultado); $x++){
    $id_tipo_proveedor =  $resultado[$x]['idtipo'];
    $nombre =  $resultado[$x]['nombretipo'];
    
    $resp.=<<<jjj
    $id_tipo_proveedor * $nombre _
jjj;
}
    
$contenido = $resp;    
}break;


case '71':{
$id_tipo_proveedor=$_GET['idp'];
$idproyecto=$_GET['idproyecto'];
$kuery = "SELECT detalle_cotiza_etapas.id_catproduct AS idP,cotiza_etapas.etapafi AS fecha1,cotiza_etapas.etapaff AS fecha2,detalle_cotiza_etapas.monto AS monto FROM `detalle_cotiza_etapas` INNER JOIN cotiza_etapas ON detalle_cotiza_etapas.id_cotiza_etapas=cotiza_etapas.id_cotiza_etapas INNER JOIN cotiza ON cotiza_etapas.id_cotiza=cotiza.id_cotiza WHERE detalle_cotiza_etapas.id_catproduct=$id_tipo_proveedor AND cotiza.id_proyectos=$idproyecto AND detalle_cotiza_etapas.tipo IN(2,3)";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);
    
for($x=0; $x < count($resultado); $x++){
    $id_tipo =  $resultado[$x]['idP'];
    $fecha1 =  $resultado[$x]['fecha1'];
    $fecha2 =  $resultado[$x]['fecha2'];
    $monto =  $resultado[$x]['monto'];
        
    $resp.=<<<jjj
    $id_tipo * $fecha1 * $fecha2 * $monto _
jjj;
}
    
$contenido = $resp;    
}break;


case '72':{
$idtipo=$_GET['id_tipo'];
$proyecto=$_GET['id_proyectos'];
$kuery ="SELECT * FROM egresos_presupuestados WHERE id_proyecto = '$proyecto' AND id_tipo_proveedor=$idtipo";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery); 
if($resultado!=null){
    $id_egreso =  $resultado[0]['id_egreso_presupuestado'];
    $total_proyectado =  $resultado[0]['total_proyectado'];
    $porcentaje_ocupado =  $resultado[0]['porcentaje_ocupado'];
    $total_meses =  $resultado[0]['total_meses'];
    $tabla_egresos =  $resultado[0]['tabla_egresos'];

    $resp.=<<<jjj
    $id_egreso ¿ $total_proyectado ¿ $porcentaje_ocupado ¿ $total_meses ¿ $tabla_egresos
jjj;
}else{
    $resp="";
}
$contenido = $resp;
}break;


case '73':{
$id_egreso_presupuestado=$_GET['idegreso'];
$sArray=$_GET['sArray'];
$objeto= new db();
$resultado=$objeto->updateGen('egresos_presupuestados', 'id_cliente', $sArray[1], 'id_egreso_presupuestado', $id_egreso_presupuestado);
$resultado=$objeto->updateGen('egresos_presupuestados', 'id_proyecto', $sArray[2], 'id_egreso_presupuestado', $id_egreso_presupuestado);
$resultado=$objeto->updateGen('egresos_presupuestados', 'id_tipo_proveedor', $sArray[3], 'id_egreso_presupuestado', $id_egreso_presupuestado);
$resultado=$objeto->updateGen('egresos_presupuestados', 'total_proyectado', $sArray[4], 'id_egreso_presupuestado', $id_egreso_presupuestado);
$resultado=$objeto->updateGen('egresos_presupuestados', 'porcentaje_ocupado', $sArray[5], 'id_egreso_presupuestado', $id_egreso_presupuestado);
$resultado=$objeto->updateGen('egresos_presupuestados', 'total_meses', $sArray[6], 'id_egreso_presupuestado', $id_egreso_presupuestado);
$resultado=$objeto->updateGen('egresos_presupuestados', 'tabla_egresos', $sArray[7], 'id_egreso_presupuestado', $id_egreso_presupuestado);

$contenido=$resultado;    
}break;
     
        
case '74':{
$tabla = $_GET['tabla'];
$sArray = $_GET['sArray'];
$objeto= new db(); 

$valores = "'',".$sArray[1].",".$sArray[2].",".$sArray[3].",".$sArray[4].",".$sArray[5].",".$sArray[6].",'".$sArray[7]."'";

$resultado=$objeto->insertGen($valores, $tabla);
$contenido=$resultado;    
}break;


case '75':{
$idproyecto=$_GET['idproyecto'];
$kuery = "SELECT detalle_cotiza_etapas.id_catproduct AS idP,detalle_cotiza_etapas.id_cotiza_etapas AS id_etapa,cotiza_etapas.etapafi AS fecha1,cotiza_etapas.etapaff AS fecha2,detalle_cotiza_etapas.monto AS monto FROM `detalle_cotiza_etapas` INNER JOIN cotiza_etapas ON detalle_cotiza_etapas.id_cotiza_etapas=cotiza_etapas.id_cotiza_etapas INNER JOIN cotiza ON cotiza_etapas.id_cotiza=cotiza.id_cotiza WHERE cotiza.id_proyectos=$idproyecto AND detalle_cotiza_etapas.tipo=1 AND cotiza_etapas.etapafi!='' AND cotiza_etapas.etapaff!=''";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);
    
for($x=0; $x < count($resultado); $x++){
    $id_tipo =  $resultado[$x]['idP'];
    $id_etapa =  $resultado[$x]['id_etapa'];
    $fecha1 =  $resultado[$x]['fecha1'];
    $fecha2 =  $resultado[$x]['fecha2'];
    $monto =  $resultado[$x]['monto'];
        
    $resp.=<<<jjj
    $id_tipo * $id_etapa * $fecha1 * $fecha2 * $monto _
jjj;
}
    
$contenido = $resp;    
}break;


case '76':{
$anio=$_GET['anio'];
$kuery ="SELECT * FROM indirectos_presupuestados WHERE anio = '$anio'";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery);
    
for($x=0; $x < count($resultado); $x++){
    $ano = $resultado[$x]['anio'];
    $ene = $resultado[$x]['enero'];
    $feb = $resultado[$x]['febrero'];
    $mar = $resultado[$x]['marzo'];
    $abr = $resultado[$x]['abril'];
    $may = $resultado[$x]['mayo'];
    $jun = $resultado[$x]['junio'];
    $jul = $resultado[$x]['julio'];
    $ago = $resultado[$x]['agosto'];
    $sep = $resultado[$x]['septiembre'];
    $oct = $resultado[$x]['octubre'];
    $nov = $resultado[$x]['noviembre'];
    $dic = $resultado[$x]['diciembre'];
    $f = $resultado[$x]['factor'];
    $tipo = $resultado[$x]['tipo_indirecto'];

$resp.=<<<jjj
$ano * $ene * $feb * $mar * $abr * $may * $jun * $jul * $ago * $sep * $oct * $nov * $dic * $f * $tipo _
jjj;
}
$contenido = $resp;
}break;


case '77':{ 
$tabla = $_GET['tabla'];
$campo = $_GET['campo'];
$valor = $_GET['valor'];
$objeto= new db();
$datosbanner=$objeto->deleteGen($tabla, $campo, $valor);
$contenido=<<<content
    $datosbanner
content;
}
break;
    
        
case '78':{
$tabla = $_GET['tabla'];
$sArray = $_GET['sArray'];
$objeto= new db();
$valores = "'',".$sArray[1].",".$sArray[2].",".$sArray[3].",".$sArray[4].",".$sArray[5].",".$sArray[6].",".$sArray[7].",".$sArray[8].",".$sArray[9].",".$sArray[10].",".$sArray[11].",".$sArray[12].",".$sArray[13].",".$sArray[14].",".$sArray[15];
$resultado=$objeto->insertGen($valores, $tabla);

$contenido=$resultado;   
}break;


case '79':{
$sArray = $_GET['sArray'];
$kuery ="SELECT id_egresod_presupuestado FROM `egresosd_presupuestados` WHERE id_cliente=$sArray[1] AND id_proyecto=$sArray[2]";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);
$id_egresod = $resultado[0]['id_egresod_presupuestado'];

if($id_egresod){
$resultado=$objeto->updateGen('egresosd_presupuestados', 'tabla_egresosd', $sArray[4], 'id_egresod_presupuestado', $id_egresod);
$resultado=$objeto->updateGen('egresosd_presupuestados', 'total_meses', $sArray[3], 'id_egresod_presupuestado', $id_egresod);
$resp = 'existente';
}

else{
$valores = "'',".$sArray[1].",".$sArray[2].",".$sArray[3].",'".$sArray[4]."'";
$resultado=$objeto->insertGen($valores, 'egresosd_presupuestados');
$resp='nuevo';    
}
$contenido=$resultado;   
}break;



}

echo $contenido;


?>
